{{> header }}

<div>
  <div class="link-share-wrapper float-right">
    Please share this link with your team members:
    <br />
    <p>{{data.planLink}}</p>
  </div>
  {{> logo }}

  <div class="scrum-plan-wrapper">
    {{> storyList }}

    {{> storyVoteBox }}

    <div id="scrum-panel" class="scrum-panel-wrapper">
      <h3>Manage</h3>
      <div class="active-story-box">
        <p class="box-label">Scrum Master Panel</p>
        <p class="active-story-name">{{data.activeStory.storyName}} is active</p>
        {{#each data.scrumPlan.voterList}}
        <div class="voter-item">
          <b>{{voterName}}: </b>
          <p data-voter-id={{voterId}} class="voter-value">{{votingStatus}}</p>
        </div>
        {{/each}}
        <form id="vote-final-story" class="hidden">
          <div class="scrum-master-final-vote-wrapper">
            <label for="number-of-voters">Final Vote:</label>
            <input class="scrum-create-input" type="number" id="scrum-master-vote" required />
          </div>
          <div class="final-story-vote-submit">
            <button type="submit" class="button sm">Submit Final Story Point</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<script>
  $(function () {
    app.activeStory = {{{ json data.activeStory }}};
    app.scrumPlan = {{{ json data.scrumPlan }}};
    app.currentVoter = {{{ json data.currentVoter }}};

    const updateVotingList = (votingList) => {
      const allVotesCompleted = votingList.every(voter => !!voter.voteValue);
      if(allVotesCompleted) {
        $('#vote-final-story').removeClass('hidden');
      }
      else {
        $('#vote-final-story').addClass('hidden');
      }
      votingList.forEach(vote => {
        const voteValue = allVotesCompleted ? vote.voteValue : vote.votingStatus;
        $(`.voter-value[data-voter-id=${vote.voterId}]`).text(voteValue);
      });
    }

    updateVotingList(app.scrumPlan.voterList);

    socket.on('VOTING_CHANGED', function (socketData) {
      updateVotingList(socketData.voterList);
    });

    $('#vote-final-story').submit(function (event) {
      event.preventDefault();
      if(!app.activeStory) {
        app.showErrorAlert('There is no active story to vote!');
        return;
      }
      app.submitFinalStoryPoint({
        storyId: app.activeStory.storyId,
        finalVoteValue: $('#scrum-master-vote').val(),
      });
    });
  });
</script>

{{> footer }}